# na_ontap_volume_clone – NetApp ONTAP manage volume clones

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create NetApp ONTAP volume clones.

- A FlexClone License is required to use this module

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules support Data ONTAP 9.1 and onward

- Ansible 2.6

- Python2 netapp-lib (2017.10.30) or later. Install using ‘pip install netapp-lib’

- Python3 netapp-lib (2018.11.13) or later. Install using ‘pip install netapp-lib’

- To enable http on the cluster you must run the following commands ‘set -privilege advanced;’ ‘system services web modify -http-enabled true;’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
gid integer added in 2.9 |  | The UNIX group ID for the clone volume.
hostname string / required |  | The hostname or IP address of the ONTAP instance.
http_port integer |  | Override the default port (80 or 443) with this port

https
boolean

Choices:
- no ←
- yes

Enable and disable https

junction_path string added in 2.8 |  | Junction path of the volume.
name string / required |  | The name of the volume clone being created. aliases: volume
ontapi integer |  | The ontap api version to use
parent_snapshot string |  | Parent snapshot in which volume clone is created off.
parent_volume string / required |  | The parent volume of the volume clone being created.
parent_vserver string |  | Vserver of parent volume in which clone is created off.
password string / required |  | Password for the specified user. aliases: pass
qos_policy_group_name string |  | The qos-policy-group-name which should be set for volume clone.

space_reserve
-

Choices:
- volume
- none

The space_reserve setting which should be used for the volume clone.

state
-

Choices:
- present ←

Whether volume clone should be created.

uid integer added in 2.9 |  | The UNIX user ID for the clone volume.

use_rest
string

Choices:
- Never
- Always
- Auto ←

REST API if supported by the target system for all the resources and attributes the module requires. Otherwise will revert to ZAPI.
Always -- will always use the REST API
Never -- will always use the ZAPI
Auto -- will try to use the REST Api

username string / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `False` used on personally controlled sites using self-signed certificates.

volume_type
-

Choices:
- rw
- dp

The volume-type setting which should be used for the volume clone.

vserver string / required |  | Vserver in which the volume clone should be created.

## Notes

Note

- The modules prefixed with na\_ontap are built to support the ONTAP storage platform.

## Examples

    - name: create volume clone
      na_ontap_volume_clone:
        state: present
        username: "{{ netapp username }}"
        password: "{{ netapp password }}"
        hostname: "{{ netapp hostname }}"
        vserver: vs_hack
        parent_volume: normal_volume
        name: clone_volume_7
        space_reserve: none
        parent_snapshot: backup1
        junction_path: /clone_volume_7
        uid: 1
        gid: 1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.